<?xml version="1.1" encoding="UTF-8" ?>

<Form version="1.3" maxVersion="1.6" type="org.netbeans.modules.form.forminfo.JFrameFormInfo">
  <Properties>
    <Property name="defaultCloseOperation" type="int" value="2"/>
    <Property name="title" type="java.lang.String" value="GESTION DES NOMENCLATURES"/>
  </Properties>
  <SyntheticProperties>
    <SyntheticProperty name="formSize" type="java.awt.Dimension" value="-84,-19,0,5,115,114,0,18,106,97,118,97,46,97,119,116,46,68,105,109,101,110,115,105,111,110,65,-114,-39,-41,-84,95,68,20,2,0,2,73,0,6,104,101,105,103,104,116,73,0,5,119,105,100,116,104,120,112,0,0,2,-67,0,0,3,117"/>
    <SyntheticProperty name="formSizePolicy" type="int" value="0"/>
    <SyntheticProperty name="generateSize" type="boolean" value="true"/>
    <SyntheticProperty name="generateCenter" type="boolean" value="true"/>
  </SyntheticProperties>
  <AuxValues>
    <AuxValue name="FormSettings_autoResourcing" type="java.lang.Integer" value="0"/>
    <AuxValue name="FormSettings_autoSetComponentName" type="java.lang.Boolean" value="false"/>
    <AuxValue name="FormSettings_generateFQN" type="java.lang.Boolean" value="true"/>
    <AuxValue name="FormSettings_generateMnemonicsCode" type="java.lang.Boolean" value="false"/>
    <AuxValue name="FormSettings_i18nAutoMode" type="java.lang.Boolean" value="false"/>
    <AuxValue name="FormSettings_layoutCodeTarget" type="java.lang.Integer" value="2"/>
    <AuxValue name="FormSettings_listenerGenerationStyle" type="java.lang.Integer" value="0"/>
    <AuxValue name="FormSettings_variablesLocal" type="java.lang.Boolean" value="false"/>
    <AuxValue name="FormSettings_variablesModifier" type="java.lang.Integer" value="2"/>
  </AuxValues>

  <Layout>
    <DimensionLayout dim="0">
      <Group type="103" groupAlignment="0" attributes="0">
          <Component id="tfTitre" alignment="0" pref="869" max="32767" attributes="1"/>
          <Group type="102" alignment="0" attributes="0">
              <EmptySpace min="10" pref="10" max="10" attributes="0"/>
              <Component id="viewProlongations" min="-2" max="-2" attributes="0"/>
              <EmptySpace max="-2" attributes="0"/>
          </Group>
      </Group>
    </DimensionLayout>
    <DimensionLayout dim="1">
      <Group type="103" groupAlignment="0" attributes="0">
          <Group type="102" alignment="0" attributes="0">
              <Component id="tfTitre" min="-2" pref="21" max="-2" attributes="0"/>
              <EmptySpace pref="8" max="32767" attributes="0"/>
              <Component id="viewProlongations" min="-2" max="-2" attributes="0"/>
          </Group>
      </Group>
    </DimensionLayout>
  </Layout>
  <SubComponents>
    <Component class="javax.swing.JTextField" name="tfTitre">
      <Properties>
        <Property name="background" type="java.awt.Color" editor="org.netbeans.beaninfo.editors.ColorEditor">
          <Color blue="ff" green="99" red="99" type="rgb"/>
        </Property>
        <Property name="editable" type="boolean" value="false"/>
        <Property name="font" type="java.awt.Font" editor="org.netbeans.beaninfo.editors.FontEditor">
          <Font name="Times New Roman" size="14" style="0"/>
        </Property>
        <Property name="foreground" type="java.awt.Color" editor="org.netbeans.beaninfo.editors.ColorEditor">
          <Color blue="cc" green="ff" red="ff" type="rgb"/>
        </Property>
        <Property name="horizontalAlignment" type="int" value="0"/>
        <Property name="text" type="java.lang.String" value="PROLONGATIONS D ACTIVITE"/>
        <Property name="border" type="javax.swing.border.Border" editor="org.netbeans.modules.form.editors2.BorderEditor">
          <Border info="org.netbeans.modules.form.compat2.border.EtchedBorderInfo">
            <EtchetBorder/>
          </Border>
        </Property>
        <Property name="focusable" type="boolean" value="false"/>
      </Properties>
      <Events>
        <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="tfTitreActionPerformed"/>
      </Events>
    </Component>
    <Container class="javax.swing.JPanel" name="viewProlongations">

      <Layout>
        <DimensionLayout dim="0">
          <Group type="103" groupAlignment="0" attributes="0">
              <Group type="102" alignment="0" attributes="0">
                  <EmptySpace max="-2" attributes="0"/>
                  <Group type="103" groupAlignment="0" attributes="0">
                      <Component id="jPanel1" alignment="0" min="-2" max="-2" attributes="1"/>
                      <Group type="102" alignment="0" attributes="0">
                          <Group type="103" groupAlignment="1" max="-2" attributes="0">
                              <Group type="102" alignment="0" attributes="0">
                                  <Group type="103" groupAlignment="1" attributes="0">
                                      <Group type="102" alignment="1" attributes="0">
                                          <Component id="lblTypeModalite" min="-2" pref="39" max="-2" attributes="1"/>
                                          <EmptySpace max="-2" attributes="0"/>
                                          <Component id="popupTypes" min="-2" pref="203" max="-2" attributes="0"/>
                                      </Group>
                                      <Component id="checkSigne" min="-2" max="-2" attributes="0"/>
                                  </Group>
                                  <EmptySpace max="-2" attributes="0"/>
                                  <Group type="103" groupAlignment="0" max="-2" attributes="0">
                                      <Group type="102" alignment="0" attributes="1">
                                          <Component id="jLabel20" min="-2" pref="77" max="-2" attributes="1"/>
                                          <EmptySpace max="-2" attributes="0"/>
                                          <Component id="tfDateArrete" max="32767" attributes="1"/>
                                      </Group>
                                      <Group type="102" alignment="0" attributes="0">
                                          <Component id="jLabel17" min="-2" pref="72" max="-2" attributes="1"/>
                                          <EmptySpace type="unrelated" max="-2" attributes="0"/>
                                          <Component id="tfDateDebut" min="-2" pref="98" max="-2" attributes="1"/>
                                      </Group>
                                  </Group>
                                  <EmptySpace min="-2" max="-2" attributes="0"/>
                                  <Group type="103" groupAlignment="0" max="-2" attributes="0">
                                      <Component id="jLabel21" max="32767" attributes="1"/>
                                      <Component id="jLabel18" alignment="0" min="-2" pref="54" max="-2" attributes="1"/>
                                  </Group>
                                  <EmptySpace max="-2" attributes="0"/>
                                  <Group type="103" groupAlignment="1" max="-2" attributes="0">
                                      <Component id="tfNoArrete" max="32767" attributes="1"/>
                                      <Component id="tfDateFin" alignment="1" min="-2" pref="93" max="-2" attributes="1"/>
                                  </Group>
                              </Group>
                              <Component id="viewTable" alignment="0" pref="624" max="32767" attributes="1"/>
                              <Component id="tfTitreDetailContrat" alignment="0" max="32767" attributes="1"/>
                          </Group>
                          <EmptySpace max="-2" attributes="0"/>
                          <Group type="103" groupAlignment="0" attributes="0">
                              <Group type="103" alignment="1" groupAlignment="0" attributes="0">
                                  <Component id="btnSupprimer" alignment="0" min="-2" pref="23" max="-2" attributes="0"/>
                                  <Component id="btnModifier" alignment="0" min="-2" pref="23" max="-2" attributes="0"/>
                              </Group>
                              <Component id="btnAjouter" alignment="1" min="-2" pref="23" max="-2" attributes="0"/>
                          </Group>
                      </Group>
                  </Group>
              </Group>
          </Group>
        </DimensionLayout>
        <DimensionLayout dim="1">
          <Group type="103" groupAlignment="0" attributes="0">
              <Group type="102" attributes="0">
                  <EmptySpace max="-2" attributes="0"/>
                  <Component id="tfTitreDetailContrat" min="-2" max="-2" attributes="0"/>
                  <EmptySpace max="-2" attributes="0"/>
                  <Group type="103" groupAlignment="0" attributes="0">
                      <Group type="102" attributes="0">
                          <Component id="viewTable" min="-2" pref="110" max="-2" attributes="2"/>
                          <EmptySpace max="-2" attributes="0"/>
                          <Group type="103" groupAlignment="0" attributes="0">
                              <Group type="103" alignment="0" groupAlignment="3" attributes="0">
                                  <Component id="lblTypeModalite" alignment="3" min="-2" max="-2" attributes="0"/>
                                  <Component id="popupTypes" alignment="3" min="-2" max="-2" attributes="0"/>
                              </Group>
                              <Group type="102" alignment="0" attributes="0">
                                  <EmptySpace min="-2" pref="30" max="-2" attributes="0"/>
                                  <Component id="checkSigne" min="-2" max="-2" attributes="0"/>
                              </Group>
                              <Group type="102" alignment="0" attributes="0">
                                  <Group type="103" groupAlignment="3" attributes="0">
                                      <Component id="jLabel18" alignment="3" min="-2" max="-2" attributes="0"/>
                                      <Component id="tfDateFin" alignment="3" min="-2" max="-2" attributes="0"/>
                                  </Group>
                                  <EmptySpace type="unrelated" min="-2" max="-2" attributes="0"/>
                                  <Group type="103" groupAlignment="3" attributes="0">
                                      <Component id="jLabel21" alignment="3" min="-2" max="-2" attributes="0"/>
                                      <Component id="tfNoArrete" alignment="3" min="-2" max="-2" attributes="0"/>
                                  </Group>
                              </Group>
                              <Group type="102" alignment="0" attributes="0">
                                  <Group type="103" groupAlignment="3" attributes="0">
                                      <Component id="jLabel17" alignment="3" min="-2" max="-2" attributes="0"/>
                                      <Component id="tfDateDebut" alignment="3" min="-2" max="-2" attributes="0"/>
                                  </Group>
                                  <EmptySpace type="unrelated" min="-2" max="-2" attributes="0"/>
                                  <Group type="103" groupAlignment="3" attributes="0">
                                      <Component id="jLabel20" alignment="3" min="-2" max="-2" attributes="0"/>
                                      <Component id="tfDateArrete" alignment="3" min="-2" max="-2" attributes="0"/>
                                  </Group>
                              </Group>
                          </Group>
                      </Group>
                      <Group type="102" attributes="0">
                          <Component id="btnAjouter" min="-2" pref="20" max="-2" attributes="0"/>
                          <EmptySpace max="-2" attributes="0"/>
                          <Component id="btnModifier" min="-2" pref="20" max="-2" attributes="0"/>
                          <EmptySpace max="-2" attributes="0"/>
                          <Component id="btnSupprimer" min="-2" pref="20" max="-2" attributes="0"/>
                      </Group>
                  </Group>
                  <EmptySpace max="-2" attributes="0"/>
                  <Component id="jPanel1" min="-2" max="-2" attributes="0"/>
                  <EmptySpace min="-2" pref="38" max="-2" attributes="0"/>
              </Group>
          </Group>
        </DimensionLayout>
      </Layout>
      <SubComponents>
        <Container class="javax.swing.JPanel" name="viewTable">
          <Properties>
            <Property name="border" type="javax.swing.border.Border" editor="org.netbeans.modules.form.editors2.BorderEditor">
              <Border info="org.netbeans.modules.form.compat2.border.BevelBorderInfo">
                <BevelBorder/>
              </Border>
            </Property>
          </Properties>
          <AuxValues>
            <AuxValue name="JavaCodeGenerator_VariableModifier" type="java.lang.Integer" value="4"/>
          </AuxValues>

          <Layout class="org.netbeans.modules.form.compat2.layouts.DesignBorderLayout"/>
        </Container>
        <Component class="javax.swing.JTextField" name="tfDateDebut">
          <Properties>
            <Property name="horizontalAlignment" type="int" value="0"/>
            <Property name="toolTipText" type="java.lang.String" value=""/>
          </Properties>
          <AuxValues>
            <AuxValue name="JavaCodeGenerator_VariableModifier" type="java.lang.Integer" value="4"/>
          </AuxValues>
        </Component>
        <Component class="javax.swing.JLabel" name="jLabel21">
          <Properties>
            <Property name="horizontalAlignment" type="int" value="4"/>
            <Property name="text" type="java.lang.String" value="No Arr&#xea;t&#xe9;"/>
          </Properties>
        </Component>
        <Component class="javax.swing.JLabel" name="jLabel18">
          <Properties>
            <Property name="horizontalAlignment" type="int" value="4"/>
            <Property name="text" type="java.lang.String" value="Fin "/>
          </Properties>
        </Component>
        <Component class="javax.swing.JButton" name="btnModifier">
          <Properties>
            <Property name="toolTipText" type="java.lang.String" value="Modification de la prolongation s&#xe9;lectionn&#xe9;e"/>
          </Properties>
        </Component>
        <Component class="javax.swing.JTextField" name="tfNoArrete">
          <Properties>
            <Property name="horizontalAlignment" type="int" value="0"/>
            <Property name="toolTipText" type="java.lang.String" value=""/>
          </Properties>
          <AuxValues>
            <AuxValue name="JavaCodeGenerator_VariableModifier" type="java.lang.Integer" value="4"/>
          </AuxValues>
        </Component>
        <Component class="javax.swing.JLabel" name="jLabel17">
          <Properties>
            <Property name="font" type="java.awt.Font" editor="org.netbeans.beaninfo.editors.FontEditor">
              <Font name="Tahoma" size="11" style="1"/>
            </Property>
            <Property name="horizontalAlignment" type="int" value="4"/>
            <Property name="text" type="java.lang.String" value="D&#xe9;but"/>
          </Properties>
        </Component>
        <Component class="javax.swing.JTextField" name="tfDateArrete">
          <Properties>
            <Property name="horizontalAlignment" type="int" value="0"/>
            <Property name="toolTipText" type="java.lang.String" value=""/>
          </Properties>
          <AuxValues>
            <AuxValue name="JavaCodeGenerator_VariableModifier" type="java.lang.Integer" value="4"/>
          </AuxValues>
        </Component>
        <Component class="javax.swing.JLabel" name="lblTypeModalite">
          <Properties>
            <Property name="font" type="java.awt.Font" editor="org.netbeans.beaninfo.editors.FontEditor">
              <Font name="Tahoma" size="11" style="1"/>
            </Property>
            <Property name="horizontalAlignment" type="int" value="0"/>
            <Property name="text" type="java.lang.String" value="TYPE"/>
          </Properties>
        </Component>
        <Component class="javax.swing.JComboBox" name="popupTypes">
          <Properties>
            <Property name="model" type="javax.swing.ComboBoxModel" editor="org.netbeans.modules.form.editors2.ComboBoxModelEditor">
              <StringArray count="4">
                <StringItem index="0" value="Item 1"/>
                <StringItem index="1" value="Item 2"/>
                <StringItem index="2" value="Item 3"/>
                <StringItem index="3" value="Item 4"/>
              </StringArray>
            </Property>
            <Property name="toolTipText" type="java.lang.String" value="Type de prolongation"/>
          </Properties>
        </Component>
        <Component class="javax.swing.JTextField" name="tfDateFin">
          <Properties>
            <Property name="horizontalAlignment" type="int" value="0"/>
            <Property name="toolTipText" type="java.lang.String" value=""/>
          </Properties>
          <AuxValues>
            <AuxValue name="JavaCodeGenerator_VariableModifier" type="java.lang.Integer" value="4"/>
          </AuxValues>
        </Component>
        <Component class="javax.swing.JLabel" name="jLabel20">
          <Properties>
            <Property name="horizontalAlignment" type="int" value="4"/>
            <Property name="text" type="java.lang.String" value="Date Arr&#xea;t&#xe9;"/>
          </Properties>
        </Component>
        <Component class="javax.swing.JButton" name="btnSupprimer">
        </Component>
        <Container class="javax.swing.JPanel" name="jPanel1">

          <Layout>
            <DimensionLayout dim="0">
              <Group type="103" groupAlignment="0" attributes="0">
                  <Group type="102" alignment="0" attributes="0">
                      <Group type="103" groupAlignment="1" attributes="0">
                          <Group type="102" alignment="1" attributes="0">
                              <Component id="btnAnnuler" min="-2" max="-2" attributes="0"/>
                              <EmptySpace max="-2" attributes="0"/>
                              <Component id="btnValider" min="-2" max="-2" attributes="0"/>
                          </Group>
                          <Component id="swapViewModalites" alignment="1" min="-2" pref="622" max="-2" attributes="3"/>
                      </Group>
                      <EmptySpace max="-2" attributes="0"/>
                      <Component id="btnImprimerArrete" min="-2" max="-2" attributes="0"/>
                      <EmptySpace max="32767" attributes="0"/>
                  </Group>
              </Group>
            </DimensionLayout>
            <DimensionLayout dim="1">
              <Group type="103" groupAlignment="0" attributes="0">
                  <Group type="102" alignment="0" attributes="0">
                      <EmptySpace max="-2" attributes="0"/>
                      <Group type="103" groupAlignment="0" attributes="0">
                          <Component id="btnImprimerArrete" alignment="0" min="-2" pref="32" max="-2" attributes="0"/>
                          <Group type="102" alignment="0" attributes="0">
                              <Component id="swapViewModalites" min="-2" pref="339" max="-2" attributes="0"/>
                              <EmptySpace max="-2" attributes="0"/>
                              <Group type="103" groupAlignment="1" attributes="0">
                                  <Component id="btnValider" min="-2" pref="20" max="-2" attributes="0"/>
                                  <Component id="btnAnnuler" min="-2" pref="20" max="-2" attributes="0"/>
                              </Group>
                          </Group>
                      </Group>
                      <EmptySpace max="32767" attributes="0"/>
                  </Group>
              </Group>
            </DimensionLayout>
          </Layout>
          <SubComponents>
            <Container class="javax.swing.JPanel" name="swapViewModalites">
              <Properties>
                <Property name="border" type="javax.swing.border.Border" editor="org.netbeans.modules.form.editors2.BorderEditor">
                  <Border info="org.netbeans.modules.form.compat2.border.BevelBorderInfo">
                    <BevelBorder/>
                  </Border>
                </Property>
              </Properties>

              <Layout class="org.netbeans.modules.form.compat2.layouts.DesignCardLayout"/>
            </Container>
            <Component class="javax.swing.JButton" name="btnAnnuler">
            </Component>
            <Component class="javax.swing.JButton" name="btnValider">
            </Component>
            <Component class="javax.swing.JButton" name="btnImprimerArrete">
              <Properties>
                <Property name="toolTipText" type="java.lang.String" value="Impression d&apos;un arr&#xea;t&#xe9; d&apos;&#xe9;m&#xe9;ritat"/>
              </Properties>
            </Component>
          </SubComponents>
        </Container>
        <Component class="javax.swing.JCheckBox" name="checkSigne">
          <Properties>
            <Property name="text" type="java.lang.String" value="Sign&#xe9;"/>
          </Properties>
        </Component>
        <Component class="javax.swing.JTextField" name="tfTitreDetailContrat">
          <Properties>
            <Property name="background" type="java.awt.Color" editor="org.netbeans.beaninfo.editors.ColorEditor">
              <Color blue="cc" green="cc" red="ff" type="rgb"/>
            </Property>
            <Property name="editable" type="boolean" value="false"/>
            <Property name="horizontalAlignment" type="int" value="0"/>
            <Property name="text" type="java.lang.String" value="Reculs d&apos;&#xe2;ge   -   Prolongations d&apos;activit&#xe9;    -   Em&#xe9;ritats"/>
            <Property name="autoscrolls" type="boolean" value="false"/>
            <Property name="border" type="javax.swing.border.Border" editor="org.netbeans.modules.form.editors2.BorderEditor">
              <Border info="org.netbeans.modules.form.compat2.border.SoftBevelBorderInfo">
                <BevelBorder/>
              </Border>
            </Property>
          </Properties>
        </Component>
        <Component class="javax.swing.JButton" name="btnAjouter">
          <Properties>
            <Property name="toolTipText" type="java.lang.String" value="Ajout &apos;une nouvelle prolongation"/>
          </Properties>
        </Component>
      </SubComponents>
    </Container>
  </SubComponents>
</Form>
